> ## Documentation Index
> Fetch the complete documentation index at: https://docs.slate-labs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Record Consent



## OpenAPI

````yaml /openapi.json post /customers/{customer_id}/consents
openapi: 3.1.0
info:
  title: Slate API
  version: 1.0.0
  description: Trading infrastructure API.
servers:
  - url: https://api.{your-broker}.slate-labs.com
    variables:
      your-broker:
        default: broker
security: []
tags:
  - name: Authentication
  - name: API Tokens
  - name: Customers
  - name: Accounts
  - name: Orders
  - name: Instruments & Groups
  - name: Transactions
  - name: Payments
  - name: Transfers
  - name: Risk
  - name: Workflow & CRM
  - name: Messaging
  - name: Integrations
  - name: Webhooks
  - name: Compliance
  - name: Promo codes
  - name: Reporting
  - name: Audit
  - name: Fraud & moderation
  - name: Broker settings
  - name: Users
  - name: Roles & Teams
  - name: Streams (SSE)
  - name: Simulator
  - name: Observability
  - name: Prop trading
paths:
  /customers/{customer_id}/consents:
    post:
      tags:
        - Customers
      summary: Record Consent
      operationId: record_consent_customers__customer_id__consents_post
      parameters:
        - name: customer_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Customer Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ConsentRequest'
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConsentResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - bearerAuth: []
components:
  schemas:
    ConsentRequest:
      properties:
        document_type:
          type: string
          maxLength: 64
          minLength: 1
          title: Document Type
        document_version:
          type: string
          maxLength: 32
          minLength: 1
          title: Document Version
        accepted:
          type: boolean
          title: Accepted
          default: true
      type: object
      required:
        - document_type
        - document_version
      title: ConsentRequest
    ConsentResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        customer_id:
          type: string
          format: uuid
          title: Customer Id
        document_type:
          type: string
          title: Document Type
        document_version:
          type: string
          title: Document Version
        accepted:
          type: boolean
          title: Accepted
        ip_address:
          anyOf:
            - type: string
            - type: 'null'
          title: Ip Address
        user_agent:
          anyOf:
            - type: string
            - type: 'null'
          title: User Agent
        accepted_at:
          type: string
          format: date-time
          title: Accepted At
      type: object
      required:
        - id
        - customer_id
        - document_type
        - document_version
        - accepted
        - ip_address
        - user_agent
        - accepted_at
      title: ConsentResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````